Subject: [BEHAVE] address-format: checksum-neutral prefix/suffix, consensus check

From: Xing Li <[email-masked]>
Date: Sun, 06 Dec 2009 17:56:47 +0800

Hi, All,

In the draft-ietf-behave-address-format-01.txt, it reads: we picked the
simplest alternative, to not specify neutrality checksum. The reasons are:

(1) The neutrality checksum alone does eliminate checksums computation
during stateful translation, as only one of the two addresses would be
checksum neutral.
(2) For the stateless translation, the checksum-neutral translation
allows non-TCP/UDP/ICMP protocols which use 1's complement checksums
without protocol awareness added to the translator.
(3) The checksum-neutral translation makes the handling of the
fragmented packets easier.
(4) However, the stateless translators may want to recomputed the
checksum anyhow, to verify the validity of the translated datagrams.

Please confirm if we should keep the current conclusion.

Regards,

xing